org.apache.geode.admin

## Interface DistributedSystemConfig

- All Superinterfaces:
    java.lang.Cloneable
  All Known Subinterfaces:
    AgentConfig

  Deprecated.
  as of 7.0 use the `management` package instead

      public interface DistributedSystemConfig
      extends java.lang.Cloneable

  Configuration for defining a GemFire distributed system to administrate. This configuration includes information about the discovery mechanism used to find members of the distributed system and information about managed entities such as distribution locators and GemFire cache vms that can be started.

  Detailed descriptions of many of these configuration attributes can be found in the `DistributedSystem` class. Note that the default values of these configuration attributes can be specified using Java system properties.

  A `DistributedSystemConfig` can be modified using a number of mutator methods until the `AdminDistributedSystem` that it configures connects to the distributed system. After that, attempts to modify most attributes in the `DistributedSystemConfig` will result in an `IllegalStateException` being thrown. If you wish to use the same `DistributedSystemConfig` to configure multiple `AdminDistributedSystem`s, a copy of the `DistributedSystemConfig` object can be made by invoking the `clone()` method.

  Since:
    GemFire 3.5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `DistributedSystemConfig.ConfigListener` Deprecated. A listener whose callback methods are invoked when this config changes.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BIND_ADDRESS_NAME` Deprecated. The name of the "bindAddress" property
    `static int` | `DEFAULT_ACK_SEVERE_ALERT_THRESHOLD` Deprecated. The default ackSevereAlertThreshold.
    `static int` | `DEFAULT_ACK_WAIT_THRESHOLD` Deprecated. The default AckWaitThreshold.
    `static java.lang.String` | `DEFAULT_BIND_ADDRESS` Deprecated. The default value of the "bindAddress" property
    `static boolean` | `DEFAULT_DISABLE_AUTO_RECONNECT` Deprecated. The default disable-auto-reconnect setting (`false`)
    `static boolean` | `DEFAULT_DISABLE_TCP` Deprecated. The default disable-tcp value (`false`)
    `static boolean` | `DEFAULT_ENABLE_NETWORK_PARTITION_DETECTION` Deprecated. The default enable-network-partition-detection setting (`false`)
    `static java.lang.String` | `DEFAULT_ENTITY_CONFIG_XML_FILE` Deprecated. The default value of the "entity-config-xml-file" property ("distributed-system.xml").
    `static java.lang.String` | `DEFAULT_LOCATORS` Deprecated. The default value of the "locators" property ("")
    `static int` | `DEFAULT_LOG_DISK_SPACE_LIMIT` Deprecated. The default log disk space limit in megabytes (0)
    `static java.lang.String` | `DEFAULT_LOG_FILE` Deprecated. The default log-file value ("" which directs logging to standard output)
    `static int` | `DEFAULT_LOG_FILE_SIZE_LIMIT` Deprecated. The default log file size limit in megabytes (0)
    `static java.lang.String` | `DEFAULT_LOG_LEVEL` Deprecated. The default log level ("config")
    `static java.lang.String` | `DEFAULT_MCAST_ADDRESS` Deprecated. The default value of the "mcastAddress" property (239.192.81.1).
    `static int` | `DEFAULT_MCAST_PORT` Deprecated. The default value of the "mcastPort" property (10334)
    `static int` | `DEFAULT_MEMBER_TIMEOUT` Deprecated. The default failure-detection timeout period for member heart-beat responses
    `static int[]` | `DEFAULT_MEMBERSHIP_PORT_RANGE` Deprecated. The default membership-port-range.
    `static java.lang.String` | `DEFAULT_NAME` Deprecated. The default value of the "name" property ("").
    `static int` | `DEFAULT_REFRESH_INTERVAL` Deprecated. The default "refreshInterval" in seconds which will apply to REFRESH_INTERVAL_NAME property.
    `static java.lang.String` | `DEFAULT_REMOTE_COMMAND` Deprecated. The default value of the remote-command property
    `static java.lang.String` | `DEFAULT_SYSTEM_ID` Deprecated. The default value of the "system-id" property ("")
    `static int` | `DEFAULT_TCP_PORT` Deprecated. The default value of the "tcpPort" property.
    `static java.lang.String` | `ENTITY_CONFIG_XML_FILE_NAME` Deprecated. The name of an XML file that specifies the configuration for the managed entities administered by the `DistributedSystem`.
    `static java.lang.String` | `LOCATORS_NAME` Deprecated. The name of the "locators" property (comma-delimited host[port] list)
    `static java.lang.String` | `LOG_DISK_SPACE_LIMIT_NAME` Deprecated. The name of the "LogDiskSpaceLimit" property
    `static java.lang.String` | `LOG_FILE_NAME` Deprecated. The name of the "logFile" property
    `static java.lang.String` | `LOG_FILE_SIZE_LIMIT_NAME` Deprecated. The name of the "LogFileSizeLimit" property
    `static java.lang.String` | `LOG_LEVEL_NAME` Deprecated. The name of the "logLevel" property
    `static int` | `MAX_ACK_SEVERE_ALERT_THRESHOLD` Deprecated. The maximum ackSevereAlertThreshold.
    `static int` | `MAX_ACK_WAIT_THRESHOLD` Deprecated. The maximum AckWaitThreshold.
    `static int` | `MAX_LOG_DISK_SPACE_LIMIT` Deprecated. The minimum log disk space limit in megabytes (1000000)
    `static int` | `MAX_LOG_FILE_SIZE_LIMIT` Deprecated. The minimum log file size limit in megabytes (1000000)
    `static int` | `MAX_MCAST_PORT` Deprecated. The maximum mcastPort (65535)
    `static java.lang.String` | `MCAST_ADDRESS_NAME` Deprecated. The name of the "mcastAddress" property
    `static java.lang.String` | `MCAST_PORT_NAME` Deprecated. The name of the "mcastPort" property
    `static java.lang.String` | `MEMBERSHIP_PORT_RANGE_NAME` Deprecated. The name of the "membership-port-range" property
    `static int` | `MIN_ACK_SEVERE_ALERT_THRESHOLD` Deprecated. The minimum ackSevereAlertThreshold.
    `static int` | `MIN_ACK_WAIT_THRESHOLD` Deprecated. The minimum AckWaitThreshold.
    `static int` | `MIN_LOG_DISK_SPACE_LIMIT` Deprecated. The minimum log disk space limit in megabytes (0)
    `static int` | `MIN_LOG_FILE_SIZE_LIMIT` Deprecated. The minimum log file size limit in megabytes (0)
    `static int` | `MIN_MCAST_PORT` Deprecated. The minimum mcastPort (0)
    `static java.lang.String` | `NAME_NAME` Deprecated. The name of the "name" property.
    `static java.lang.String` | `REFRESH_INTERVAL_NAME` Deprecated. The name of the "refreshInterval" property which will apply to SystemMember, SystemMemberCache and StatisticResource refresh.
    `static java.lang.String` | `REMOTE_COMMAND_NAME` Deprecated. The name of the remote-command property
    `static java.lang.String` | `SYSTEM_ID_NAME` Deprecated. The name of the "system-id" property
    `static java.lang.String` | `TCP_PORT_NAME` Deprecated. settings for tcp-port

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(DistributedSystemConfig.ConfigListener listener)` Deprecated. Registers listener for notification of changes in this config.
    `void` | `addSSLProperty(java.lang.String key, java.lang.String value)` Deprecated. Adds an SSL property
    `java.lang.Object` | `clone()` Deprecated. Returns a copy of this `DistributedSystemConfig` object whose configuration can be modified.
    `CacheServerConfig` | `createCacheServerConfig()` Deprecated. as of 5.7 use `createCacheVmConfig()` instead.
    `CacheVmConfig` | `createCacheVmConfig()` Deprecated. Creates the configuration for a `CacheVm`.
    `DistributionLocatorConfig` | `createDistributionLocatorConfig()` Deprecated. Creates a new `DistributionLocatorConfig` for a distribution locator that is managed in this distributed system.
    `int` | `getAckSevereAlertThreshold()` Deprecated. Returns the ack-severe-alert-threshold for the system
    `int` | `getAckWaitThreshold()` Deprecated. Returns the ack-wait-threshold for the system
    `java.lang.String` | `getBindAddress()` Deprecated. Returns the IP address to which the distributed system's server sockets are bound.
    `CacheServerConfig[]` | `getCacheServerConfigs()` Deprecated. as of 5.7 use `getCacheVmConfigs()` instead.
    `CacheVmConfig[]` | `getCacheVmConfigs()` Deprecated. Returns an array of configurations for statically known `CacheVm`s.
    `boolean` | `getDisableAutoReconnect()` Deprecated. Returns true if auto reconnect is disabled
    `boolean` | `getDisableTcp()` Deprecated. Returns the disable-tcp property for the system.
    `DistributionLocatorConfig[]` | `getDistributionLocatorConfigs()` Deprecated. Returns configuration information about `DistributionLocator`s that are managed by an `AdminDistributedSystem`.
    `boolean` | `getEnableNetworkPartitionDetection()` Deprecated. Returns true if network partition detection is enabled.
    `java.lang.String` | `getEntityConfigXMLFile()` Deprecated. Returns the name of the XML file that specifies the configuration of the managed entities administered by the `DistributedSystem`.
    `java.lang.String` | `getLocators()` Deprecated. Returns a comma-delimited list of locators for the system
    `int` | `getLogDiskSpaceLimit()` Deprecated. Returns the log disk space limit in megabytes
    `java.lang.String` | `getLogFile()` Deprecated. Returns the name of the log file to which informational messages are written.
    `int` | `getLogFileSizeLimit()` Deprecated. Returns the log file size limit in megabytes
    `java.lang.String` | `getLogLevel()` Deprecated. Returns the level at which informational messages are logged.
    `java.lang.String` | `getMcastAddress()` Deprecated. Returns the multicast address for the system
    `int` | `getMcastPort()` Deprecated. Returns the multicast port for the system
    `java.lang.String` | `getMembershipPortRange()` Deprecated. Returns the membership-port-range property of the Distributed System.
    `int` | `getMemberTimeout()` Deprecated. Returns the member-timeout millisecond value used in failure-detection protocols
    `int` | `getRefreshInterval()` Deprecated. Returns the refreshInterval in seconds used for auto-polling and updating AdminDistributedSystem constituents including SystemMember, CacheServer, SystemMemberCache and StatisticResource
    `java.lang.String` | `getRemoteCommand()` Deprecated. Returns the remote command setting to use for remote administration
    `java.lang.String` | `getServerBindAddress()` Deprecated. Returns the IP address to which client/server server sockets are bound
    `java.lang.String` | `getSSLCiphers()` Deprecated. Returns the value of the "ssl-ciphers" property.
    `java.util.Properties` | `getSSLProperties()` Deprecated. Returns the provider-specific properties for SSL.
    `java.lang.String` | `getSSLProtocols()` Deprecated. Returns the value of the "ssl-protocols" property.
    `java.lang.String` | `getSystemId()` Deprecated. Returns the string identity for the system
    `java.lang.String` | `getSystemName()` Deprecated. Returns the optional non-unique name for the system
    `int` | `getTcpPort()` Deprecated. Returns the primary communication port number for the Distributed System.
    `boolean` | `isSSLAuthenticationRequired()` Deprecated. Returns the value of the "ssl-require-authentication" property.
    `boolean` | `isSSLEnabled()` Deprecated. Returns the value of the "ssl-enabled" property.
    `void` | `removeCacheServerConfig(CacheServerConfig managerConfig)` Deprecated. as of 5.7 use `removeCacheVmConfig(org.apache.geode.admin.CacheVmConfig)` instead.
    `void` | `removeCacheVmConfig(CacheVmConfig existing)` Deprecated. Removes the configuration for a `CacheVm`
    `void` | `removeDistributionLocatorConfig(DistributionLocatorConfig config)` Deprecated. Removes a `DistributionLocatorConfig` from the distributed system.
    `void` | `removeListener(DistributedSystemConfig.ConfigListener listener)` Deprecated. Removes previously registered listener of this config.
    `void` | `removeSSLProperty(java.lang.String key)` Deprecated. Removes an SSL property
    `void` | `setAckSevereAlertThreshold(int seconds)` Deprecated. Sets the ack-severe-alert-threshold for the system
    `void` | `setAckWaitThreshold(int seconds)` Deprecated. Sets the ack-wait-threshold for the system
    `void` | `setBindAddress(java.lang.String bindAddress)` Deprecated. Sets the IP address to which the distributed system's server sockets are bound.
    `void` | `setDisableAutoReconnect(boolean newValue)` Deprecated. Disables auto reconnect after being forced out of the distributed system
    `void` | `setDisableTcp(boolean flag)` Deprecated. Sets the disable-tcp property for the system.
    `void` | `setEnableNetworkPartitionDetection(boolean newValue)` Deprecated. Turns on network partition detection
    `void` | `setEntityConfigXMLFile(java.lang.String xmlFile)` Deprecated. Sets the name of the XML file that specifies the configuration of managed entities administered by the `DistributedSystem`.
    `void` | `setLocators(java.lang.String locators)` Deprecated. Sets the comma-delimited list of locators for the system
    `void` | `setLogDiskSpaceLimit(int limit)` Deprecated. Sets the log disk space limit in megabytes
    `void` | `setLogFile(java.lang.String logFile)` Deprecated. Sets the name of the log file to which informational messages are written.
    `void` | `setLogFileSizeLimit(int limit)` Deprecated. Sets the log file size limit in megabytes
    `void` | `setLogLevel(java.lang.String logLevel)` Deprecated. Sets the level at which information messages are logged.
    `void` | `setMcastAddress(java.lang.String mcastAddress)` Deprecated. Sets the multicast address for the system
    `void` | `setMcastPort(int mcastPort)` Deprecated. Sets the multicast port for the system
    `void` | `setMembershipPortRange(java.lang.String membershipPortRange)` Deprecated. Sets the membership-port-range property of the Distributed System.
    `void` | `setMemberTimeout(int value)` Deprecated. Set the millisecond value of the member-timeout used in failure-detection protocols.
    `void` | `setRefreshInterval(int timeInSecs)` Deprecated. Sets the refreshInterval in seconds
    `void` | `setRemoteCommand(java.lang.String command)` Deprecated. Sets the remote command setting to use for remote administration.
    `void` | `setServerBindAddress(java.lang.String bindAddress)` Deprecated. Sets the IP address to which a server cache will bind when listening for client cache connections.
    `void` | `setSSLAuthenticationRequired(boolean authRequired)` Deprecated. Sets the value of the "ssl-require-authentication" property.
    `void` | `setSSLCiphers(java.lang.String ciphers)` Deprecated. Sets the value of the "ssl-ciphers" property.
    `void` | `setSSLEnabled(boolean enabled)` Deprecated. Sets the value of the "ssl-enabled" property.
    `void` | `setSSLProperties(java.util.Properties sslProperties)` Deprecated. Sets the provider-specific properties for SSL.
    `void` | `setSSLProtocols(java.lang.String protocols)` Deprecated. Sets the value of the "ssl-protocols" property.
    `void` | `setSystemId(java.lang.String systemId)` Deprecated. Sets the string identity for the system
    `void` | `setSystemName(java.lang.String name)` Deprecated. Sets the optional non-unique name for the system
    `void` | `setTcpPort(int port)` Deprecated. Sets the primary communication port number for the Distributed System.
    `void` | `validate()` Deprecated. Validates that this distributed system configuration is correct and consistent.

- - ### Field Detail

    - #### ENTITY_CONFIG_XML_FILE_NAME

          static final java.lang.String ENTITY_CONFIG_XML_FILE_NAME

      Deprecated.
      The name of an XML file that specifies the configuration for the managed entities administered by the `DistributedSystem`. The XML file must conform to a dtd.
      See Also:
        Constant Field Values

    - #### DEFAULT_ENTITY_CONFIG_XML_FILE

          static final java.lang.String DEFAULT_ENTITY_CONFIG_XML_FILE

      Deprecated.
      The default value of the "entity-config-xml-file" property ("distributed-system.xml").
      See Also:
        Constant Field Values

    - #### SYSTEM_ID_NAME

          static final java.lang.String SYSTEM_ID_NAME

      Deprecated.
      The name of the "system-id" property
      See Also:
        Constant Field Values

    - #### DEFAULT_SYSTEM_ID

          static final java.lang.String DEFAULT_SYSTEM_ID

      Deprecated.
      The default value of the "system-id" property ("")
      See Also:
        Constant Field Values

    - #### NAME_NAME

          static final java.lang.String NAME_NAME

      Deprecated.
      The name of the "name" property. See `getSystemName()`.
      See Also:
        Constant Field Values

    - #### DEFAULT_NAME

          static final java.lang.String DEFAULT_NAME

      Deprecated.
      The default value of the "name" property (""). See `getSystemName()`.
      See Also:
        Constant Field Values

    - #### MCAST_PORT_NAME

          static final java.lang.String MCAST_PORT_NAME

      Deprecated.
      The name of the "mcastPort" property
      See Also:
        Constant Field Values

    - #### DEFAULT_MCAST_PORT

          static final int DEFAULT_MCAST_PORT

      Deprecated.
      The default value of the "mcastPort" property (10334)
      See Also:
        Constant Field Values

    - #### MIN_MCAST_PORT

          static final int MIN_MCAST_PORT

      Deprecated.
      The minimum mcastPort (0)
      See Also:
        Constant Field Values

    - #### MAX_MCAST_PORT

          static final int MAX_MCAST_PORT

      Deprecated.
      The maximum mcastPort (65535)
      See Also:
        Constant Field Values

    - #### MCAST_ADDRESS_NAME

          static final java.lang.String MCAST_ADDRESS_NAME

      Deprecated.
      The name of the "mcastAddress" property
      See Also:
        Constant Field Values

    - #### DEFAULT_MCAST_ADDRESS

          static final java.lang.String DEFAULT_MCAST_ADDRESS

      Deprecated.
      The default value of the "mcastAddress" property (239.192.81.1).

    - #### MEMBERSHIP_PORT_RANGE_NAME

          static final java.lang.String MEMBERSHIP_PORT_RANGE_NAME

      Deprecated.
      The name of the "membership-port-range" property
      Since:
        GemFire 6.5
      See Also:
        Constant Field Values

    - #### DEFAULT_MEMBERSHIP_PORT_RANGE

          static final int[] DEFAULT_MEMBERSHIP_PORT_RANGE

      Deprecated.
      The default membership-port-range.

      Actual value is `[1024,65535]`.

      Since:
        GemFire 6.5

    - #### TCP_PORT_NAME

          static final java.lang.String TCP_PORT_NAME

      Deprecated.
      settings for tcp-port
      Since:
        GemFire 6.5
      See Also:
        Constant Field Values

    - #### DEFAULT_TCP_PORT

          static final int DEFAULT_TCP_PORT

      Deprecated.
      The default value of the "tcpPort" property.

      Actual value is `0`.

      Since:
        GemFire 6.5
      See Also:
        Constant Field Values

    - #### DEFAULT_ACK_WAIT_THRESHOLD

          static final int DEFAULT_ACK_WAIT_THRESHOLD

      Deprecated.
      The default AckWaitThreshold.

      Actual value of this constant is `15` seconds.

      See Also:
        Constant Field Values

    - #### MIN_ACK_WAIT_THRESHOLD

          static final int MIN_ACK_WAIT_THRESHOLD

      Deprecated.
      The minimum AckWaitThreshold.

      Actual value of this constant is `1` second.

      See Also:
        Constant Field Values

    - #### MAX_ACK_WAIT_THRESHOLD

          static final int MAX_ACK_WAIT_THRESHOLD

      Deprecated.
      The maximum AckWaitThreshold.

      Actual value of this constant is `MAX_INT` seconds.

      See Also:
        Constant Field Values

    - #### DEFAULT_ACK_SEVERE_ALERT_THRESHOLD

          static final int DEFAULT_ACK_SEVERE_ALERT_THRESHOLD

      Deprecated.
      The default ackSevereAlertThreshold.

      Actual value of this constant is `0` seconds, which turns off forced disconnects based on ack wait periods.

      See Also:
        Constant Field Values

    - #### MIN_ACK_SEVERE_ALERT_THRESHOLD

          static final int MIN_ACK_SEVERE_ALERT_THRESHOLD

      Deprecated.
      The minimum ackSevereAlertThreshold.

      Actual value of this constant is `0` second, which turns off forced disconnects based on ack wait periods.

      See Also:
        Constant Field Values

    - #### MAX_ACK_SEVERE_ALERT_THRESHOLD

          static final int MAX_ACK_SEVERE_ALERT_THRESHOLD

      Deprecated.
      The maximum ackSevereAlertThreshold.

      Actual value of this constant is `MAX_INT` seconds.

      See Also:
        Constant Field Values

    - #### LOCATORS_NAME

          static final java.lang.String LOCATORS_NAME

      Deprecated.
      The name of the "locators" property (comma-delimited host[port] list)
      See Also:
        Constant Field Values

    - #### DEFAULT_LOCATORS

          static final java.lang.String DEFAULT_LOCATORS

      Deprecated.
      The default value of the "locators" property ("")
      See Also:
        Constant Field Values

    - #### BIND_ADDRESS_NAME

          static final java.lang.String BIND_ADDRESS_NAME

      Deprecated.
      The name of the "bindAddress" property
      See Also:
        Constant Field Values

    - #### DEFAULT_BIND_ADDRESS

          static final java.lang.String DEFAULT_BIND_ADDRESS

      Deprecated.
      The default value of the "bindAddress" property
      See Also:
        Constant Field Values

    - #### REMOTE_COMMAND_NAME

          static final java.lang.String REMOTE_COMMAND_NAME

      Deprecated.
      The name of the remote-command property
      See Also:
        Constant Field Values

    - #### DEFAULT_REMOTE_COMMAND

          static final java.lang.String DEFAULT_REMOTE_COMMAND

      Deprecated.
      The default value of the remote-command property
      See Also:
        Constant Field Values

    - #### DEFAULT_DISABLE_TCP

          static final boolean DEFAULT_DISABLE_TCP

      Deprecated.
      The default disable-tcp value (`false`)
      See Also:
        Constant Field Values

    - #### DEFAULT_ENABLE_NETWORK_PARTITION_DETECTION

          static final boolean DEFAULT_ENABLE_NETWORK_PARTITION_DETECTION

      Deprecated.
      The default enable-network-partition-detection setting (`false`)
      See Also:
        Constant Field Values

    - #### DEFAULT_DISABLE_AUTO_RECONNECT

          static final boolean DEFAULT_DISABLE_AUTO_RECONNECT

      Deprecated.
      The default disable-auto-reconnect setting (`false`)
      See Also:
        Constant Field Values

    - #### DEFAULT_MEMBER_TIMEOUT

          static final int DEFAULT_MEMBER_TIMEOUT

      Deprecated.
      The default failure-detection timeout period for member heart-beat responses
      See Also:
        Constant Field Values

    - #### LOG_FILE_NAME

          static final java.lang.String LOG_FILE_NAME

      Deprecated.
      The name of the "logFile" property
      See Also:
        Constant Field Values

    - #### DEFAULT_LOG_FILE

          static final java.lang.String DEFAULT_LOG_FILE

      Deprecated.
      The default log-file value ("" which directs logging to standard output)
      See Also:
        Constant Field Values

    - #### LOG_LEVEL_NAME

          static final java.lang.String LOG_LEVEL_NAME

      Deprecated.
      The name of the "logLevel" property
      See Also:
        Constant Field Values

    - #### DEFAULT_LOG_LEVEL

          static final java.lang.String DEFAULT_LOG_LEVEL

      Deprecated.
      The default log level ("config")
      See Also:
        Constant Field Values

    - #### LOG_DISK_SPACE_LIMIT_NAME

          static final java.lang.String LOG_DISK_SPACE_LIMIT_NAME

      Deprecated.
      The name of the "LogDiskSpaceLimit" property
      See Also:
        Constant Field Values

    - #### DEFAULT_LOG_DISK_SPACE_LIMIT

          static final int DEFAULT_LOG_DISK_SPACE_LIMIT

      Deprecated.
      The default log disk space limit in megabytes (0)
      See Also:
        Constant Field Values

    - #### MIN_LOG_DISK_SPACE_LIMIT

          static final int MIN_LOG_DISK_SPACE_LIMIT

      Deprecated.
      The minimum log disk space limit in megabytes (0)
      See Also:
        Constant Field Values

    - #### MAX_LOG_DISK_SPACE_LIMIT

          static final int MAX_LOG_DISK_SPACE_LIMIT

      Deprecated.
      The minimum log disk space limit in megabytes (1000000)
      See Also:
        Constant Field Values

    - #### LOG_FILE_SIZE_LIMIT_NAME

          static final java.lang.String LOG_FILE_SIZE_LIMIT_NAME

      Deprecated.
      The name of the "LogFileSizeLimit" property
      See Also:
        Constant Field Values

    - #### DEFAULT_LOG_FILE_SIZE_LIMIT

          static final int DEFAULT_LOG_FILE_SIZE_LIMIT

      Deprecated.
      The default log file size limit in megabytes (0)
      See Also:
        Constant Field Values

    - #### MIN_LOG_FILE_SIZE_LIMIT

          static final int MIN_LOG_FILE_SIZE_LIMIT

      Deprecated.
      The minimum log file size limit in megabytes (0)
      See Also:
        Constant Field Values

    - #### MAX_LOG_FILE_SIZE_LIMIT

          static final int MAX_LOG_FILE_SIZE_LIMIT

      Deprecated.
      The minimum log file size limit in megabytes (1000000)
      See Also:
        Constant Field Values

    - #### REFRESH_INTERVAL_NAME

          static final java.lang.String REFRESH_INTERVAL_NAME

      Deprecated.
      The name of the "refreshInterval" property which will apply to SystemMember, SystemMemberCache and StatisticResource refresh. This interval (in seconds) is used for auto-polling and updating AdminDistributedSystem constituents including SystemMember, CacheServer, SystemMemberCache and StatisticResource. This interval is read-only and retains the value set when the config is created. Note that the resource MBeans actually refresh and hit the DS only if there is an RMI client connected
      See Also:
        Constant Field Values

    - #### DEFAULT_REFRESH_INTERVAL

          static final int DEFAULT_REFRESH_INTERVAL

      Deprecated.
      The default "refreshInterval" in seconds which will apply to REFRESH_INTERVAL_NAME property. The default value is 15 secs
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEntityConfigXMLFile

          java.lang.String getEntityConfigXMLFile()

      Deprecated.
      Returns the name of the XML file that specifies the configuration of the managed entities administered by the `DistributedSystem`. The XML file must conform to a dtd.
      Since:
        GemFire 4.0

    - #### setEntityConfigXMLFile

          void setEntityConfigXMLFile(java.lang.String xmlFile)

      Deprecated.
      Sets the name of the XML file that specifies the configuration of managed entities administered by the `DistributedSystem`.

    - #### getSystemId

          java.lang.String getSystemId()

      Deprecated.
      Returns the string identity for the system

    - #### setSystemId

          void setSystemId(java.lang.String systemId)

      Deprecated.
      Sets the string identity for the system

    - #### getSystemName

          java.lang.String getSystemName()

      Deprecated.
      Returns the optional non-unique name for the system

    - #### setSystemName

          void setSystemName(java.lang.String name)

      Deprecated.
      Sets the optional non-unique name for the system

    - #### getMcastAddress

          java.lang.String getMcastAddress()

      Deprecated.
      Returns the multicast address for the system

    - #### setMcastAddress

          void setMcastAddress(java.lang.String mcastAddress)

      Deprecated.
      Sets the multicast address for the system

    - #### getMcastPort

          int getMcastPort()

      Deprecated.
      Returns the multicast port for the system

    - #### setMcastPort

          void setMcastPort(int mcastPort)

      Deprecated.
      Sets the multicast port for the system

    - #### getAckWaitThreshold

          int getAckWaitThreshold()

      Deprecated.
      Returns the ack-wait-threshold for the system

    - #### setAckWaitThreshold

          void setAckWaitThreshold(int seconds)

      Deprecated.
      Sets the ack-wait-threshold for the system

    - #### getAckSevereAlertThreshold

          int getAckSevereAlertThreshold()

      Deprecated.
      Returns the ack-severe-alert-threshold for the system

    - #### setAckSevereAlertThreshold

          void setAckSevereAlertThreshold(int seconds)

      Deprecated.
      Sets the ack-severe-alert-threshold for the system

    - #### getLocators

          java.lang.String getLocators()

      Deprecated.
      Returns a comma-delimited list of locators for the system

    - #### setLocators

          void setLocators(java.lang.String locators)

      Deprecated.
      Sets the comma-delimited list of locators for the system

    - #### getMembershipPortRange

          java.lang.String getMembershipPortRange()

      Deprecated.
      Returns the membership-port-range property of the Distributed System. This range is given as two numbers separated by a minus sign.
      Since:
        GemFire 6.5

    - #### setMembershipPortRange

          void setMembershipPortRange(java.lang.String membershipPortRange)

      Deprecated.
      Sets the membership-port-range property of the Distributed System. This range is given as two numbers separated by a minus sign.
      Since:
        GemFire 6.5

    - #### setTcpPort

          void setTcpPort(int port)

      Deprecated.
      Sets the primary communication port number for the Distributed System.
      Since:
        GemFire 6.5

    - #### getTcpPort

          int getTcpPort()

      Deprecated.
      Returns the primary communication port number for the Distributed System.
      Since:
        GemFire 6.5

    - #### setDisableTcp

          void setDisableTcp(boolean flag)

      Deprecated.
      Sets the disable-tcp property for the system. When tcp is disabled, the cache uses udp for unicast messaging. This must be consistent across all members of the distributed system. The default is to enable tcp.

    - #### getDisableTcp

          boolean getDisableTcp()

      Deprecated.
      Returns the disable-tcp property for the system. When tcp is disabled, the cache uses udp for unicast messaging. This must be consistent across all members of the distributed system. The default is to enable tcp.

    - #### setEnableNetworkPartitionDetection

          void setEnableNetworkPartitionDetection(boolean newValue)

      Deprecated.
      Turns on network partition detection

    - #### getEnableNetworkPartitionDetection

          boolean getEnableNetworkPartitionDetection()

      Deprecated.
      Returns true if network partition detection is enabled.

    - #### setDisableAutoReconnect

          void setDisableAutoReconnect(boolean newValue)

      Deprecated.
      Disables auto reconnect after being forced out of the distributed system

    - #### getDisableAutoReconnect

          boolean getDisableAutoReconnect()

      Deprecated.
      Returns true if auto reconnect is disabled

    - #### getMemberTimeout

          int getMemberTimeout()

      Deprecated.
      Returns the member-timeout millisecond value used in failure-detection protocols

    - #### setMemberTimeout

          void setMemberTimeout(int value)

      Deprecated.
      Set the millisecond value of the member-timeout used in failure-detection protocols. This timeout determines how long a member has to respond to a heartbeat request. The member is given three chances before being kicked out of the distributed system with a SystemConnectException.

    - #### getBindAddress

          java.lang.String getBindAddress()

      Deprecated.
      Returns the IP address to which the distributed system's server sockets are bound.
      Since:
        GemFire 4.0

    - #### setBindAddress

          void setBindAddress(java.lang.String bindAddress)

      Deprecated.
      Sets the IP address to which the distributed system's server sockets are bound.
      Since:
        GemFire 4.0

    - #### getServerBindAddress

          java.lang.String getServerBindAddress()

      Deprecated.
      Returns the IP address to which client/server server sockets are bound

    - #### setServerBindAddress

          void setServerBindAddress(java.lang.String bindAddress)

      Deprecated.
      Sets the IP address to which a server cache will bind when listening for client cache connections.

    - #### getRemoteCommand

          java.lang.String getRemoteCommand()

      Deprecated.
      Returns the remote command setting to use for remote administration

    - #### setRemoteCommand

          void setRemoteCommand(java.lang.String command)

      Deprecated.
      Sets the remote command setting to use for remote administration. This attribute may be modified after this `DistributedSystemConfig` has been used to create an `AdminDistributedSystem`.

    - #### isSSLEnabled

          boolean isSSLEnabled()

      Deprecated.
      Returns the value of the "ssl-enabled" property.

    - #### setSSLEnabled

          void setSSLEnabled(boolean enabled)

      Deprecated.
      Sets the value of the "ssl-enabled" property.

    - #### getSSLProtocols

          java.lang.String getSSLProtocols()

      Deprecated.
      Returns the value of the "ssl-protocols" property.

    - #### setSSLProtocols

          void setSSLProtocols(java.lang.String protocols)

      Deprecated.
      Sets the value of the "ssl-protocols" property.

    - #### getSSLCiphers

          java.lang.String getSSLCiphers()

      Deprecated.
      Returns the value of the "ssl-ciphers" property.

    - #### setSSLCiphers

          void setSSLCiphers(java.lang.String ciphers)

      Deprecated.
      Sets the value of the "ssl-ciphers" property.

    - #### isSSLAuthenticationRequired

          boolean isSSLAuthenticationRequired()

      Deprecated.
      Returns the value of the "ssl-require-authentication" property.

    - #### setSSLAuthenticationRequired

          void setSSLAuthenticationRequired(boolean authRequired)

      Deprecated.
      Sets the value of the "ssl-require-authentication" property.

    - #### getSSLProperties

          java.util.Properties getSSLProperties()

      Deprecated.
      Returns the provider-specific properties for SSL.

    - #### setSSLProperties

          void setSSLProperties(java.util.Properties sslProperties)

      Deprecated.
      Sets the provider-specific properties for SSL.

    - #### addSSLProperty

          void addSSLProperty(java.lang.String key,
                              java.lang.String value)

      Deprecated.
      Adds an SSL property

    - #### removeSSLProperty

          void removeSSLProperty(java.lang.String key)

      Deprecated.
      Removes an SSL property

    - #### getLogFile

          java.lang.String getLogFile()

      Deprecated.
      Returns the name of the log file to which informational messages are written.
      See Also:
        `LogWriterI18n`

    - #### setLogFile

          void setLogFile(java.lang.String logFile)

      Deprecated.
      Sets the name of the log file to which informational messages are written.
      See Also:
        `LogWriterI18n`

    - #### getLogLevel

          java.lang.String getLogLevel()

      Deprecated.
      Returns the level at which informational messages are logged.

    - #### setLogLevel

          void setLogLevel(java.lang.String logLevel)

      Deprecated.
      Sets the level at which information messages are logged.

    - #### getLogDiskSpaceLimit

          int getLogDiskSpaceLimit()

      Deprecated.
      Returns the log disk space limit in megabytes

    - #### setLogDiskSpaceLimit

          void setLogDiskSpaceLimit(int limit)

      Deprecated.
      Sets the log disk space limit in megabytes

    - #### getLogFileSizeLimit

          int getLogFileSizeLimit()

      Deprecated.
      Returns the log file size limit in megabytes

    - #### setLogFileSizeLimit

          void setLogFileSizeLimit(int limit)

      Deprecated.
      Sets the log file size limit in megabytes

    - #### getRefreshInterval

          int getRefreshInterval()

      Deprecated.
      Returns the refreshInterval in seconds used for auto-polling and updating AdminDistributedSystem constituents including SystemMember, CacheServer, SystemMemberCache and StatisticResource
      Since:
        GemFire 6.0

    - #### setRefreshInterval

          void setRefreshInterval(int timeInSecs)

      Deprecated.
      Sets the refreshInterval in seconds
      Since:
        GemFire 6.0

    - #### getCacheServerConfigs

          @Deprecated
          CacheServerConfig[] getCacheServerConfigs()

      Deprecated. as of 5.7 use `getCacheVmConfigs()` instead.
      Returns an array of configurations for statically known `CacheServers`.

    - #### createCacheServerConfig

          @Deprecated
          CacheServerConfig createCacheServerConfig()

      Deprecated. as of 5.7 use `createCacheVmConfig()` instead.
      Creates the configuration for a CacheServer

    - #### removeCacheServerConfig

          @Deprecated
          void removeCacheServerConfig(CacheServerConfig managerConfig)

      Deprecated. as of 5.7 use `removeCacheVmConfig(org.apache.geode.admin.CacheVmConfig)` instead.
      Removes the configuration for a CacheServer

    - #### getCacheVmConfigs

          CacheVmConfig[] getCacheVmConfigs()

      Deprecated.
      Returns an array of configurations for statically known `CacheVm`s.
      Since:
        GemFire 5.7

    - #### createCacheVmConfig

          CacheVmConfig createCacheVmConfig()

      Deprecated.
      Creates the configuration for a `CacheVm`.
      Since:
        GemFire 5.7

    - #### removeCacheVmConfig

          void removeCacheVmConfig(CacheVmConfig existing)

      Deprecated.
      Removes the configuration for a `CacheVm`
      Since:
        GemFire 5.7

    - #### getDistributionLocatorConfigs

          DistributionLocatorConfig[] getDistributionLocatorConfigs()

      Deprecated.
      Returns configuration information about `DistributionLocator`s that are managed by an `AdminDistributedSystem`.

    - #### createDistributionLocatorConfig

          DistributionLocatorConfig createDistributionLocatorConfig()

      Deprecated.
      Creates a new `DistributionLocatorConfig` for a distribution locator that is managed in this distributed system. The default locator config is set to not use multicast

    - #### removeDistributionLocatorConfig

          void removeDistributionLocatorConfig(DistributionLocatorConfig config)

      Deprecated.
      Removes a `DistributionLocatorConfig` from the distributed system.

    - #### addListener

          void addListener(DistributedSystemConfig.ConfigListener listener)

      Deprecated.
      Registers listener for notification of changes in this config.

    - #### removeListener

          void removeListener(DistributedSystemConfig.ConfigListener listener)

      Deprecated.
      Removes previously registered listener of this config.

    - #### validate

          void validate()

      Deprecated.
      Validates that this distributed system configuration is correct and consistent.
      Throws:
        `java.lang.IllegalStateException` - If this config is not valid
        `AdminXmlException` - If the entity config XML file is not valid

    - #### clone

          java.lang.Object clone()
                          throws java.lang.CloneNotSupportedException

      Deprecated.
      Returns a copy of this `DistributedSystemConfig` object whose configuration can be modified. Note that this `ConfigListener`s that are registered on this config object are not cloned.
      Throws:
        `java.lang.CloneNotSupportedException`
      Since:
        GemFire 4.0